### Constructor

# GUsb Context new

since: 0.1.0

#### Declaration

    GUsbContext*
    g_usb_context_new (
      GError** error
    )

#### Description

Creates a new context for accessing USB devices.

Available since: 0.1.0

#### Return value

Type: `GUsbContext`

A new %GUsbContext object or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.